API: License
On-prem license status and installation. Only mounted in MODE=onprem; absent (404) in cloud.
Раздел собран из спецификации OpenAPI продукта: 2 метод(ов). Поверхность — query-api (основной API, база /api/v1). Все методы требуют аутентификации.
Методы раздела
GET
/license Get the current license status (on-prem only)
On-prem only. In cloud this route is not mounted (404).
Ответы
| Код | Что означает | Тело |
|---|---|---|
| 200 | License status | LicenseStatus |
| 401 | Missing or invalid credentials (code=unauthorized) | Error |
PUT
/license Install or replace the license key (owner; on-prem only)
On-prem only. In cloud this route is not mounted (404).
Тело запроса application/json , обязательно
| Поле | Тип | Описание |
|---|---|---|
key обязательно | string | Ed25519-signed license key |
Ответы
| Код | Что означает | Тело |
|---|---|---|
| 200 | License accepted | object |
| 401 | Missing or invalid credentials (code=unauthorized) | Error |
| 403 | Authenticated but not permitted (code=forbidden) | Error |
| 422 | License rejected (license_invalid) or validation failed | Error |
Источник раздела — docs/api/openapi.yaml репозитория продукта,
версия API 1.0.0, OpenAPI 3.0.3,
снимок 095579325c2d.
Расхождение снимка со спецификацией роняет сборку документации.